Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 131029 - back-port 6.0 RSS caching/cookie fixes to 5.5 & 5.5.1
back-port 6.0 RSS caching/cookie fixes to 5.5 & 5.5.1
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Welcome
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Stanislav Aubrecht
issues@ide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 13:54 UTC by jcatchpoole
Modified: 2008-04-28 23:20 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jcatchpoole 2008-03-25 13:54:25 UTC
To relieve load on netbeans.org, pls back-port the recent Welcome screen RSS caching/cookie fixes to NB 5.5 as we still
have a considerable number of users on that version.  Thanks.
Comment 1 Stanislav Aubrecht 2008-03-25 14:21:17 UTC
which cvs branch should i commit this to?
also, what's the deadline for this fix? is there going to be any patch for 5.5?
Comment 2 jcatchpoole 2008-03-25 15:28:21 UTC
RE: deadline - the sooner the better, I would say.  Non-fixed bits generate high load on the nb.org server, so we want
to fix that quickly.  I can't answer your other questions.
Comment 3 pgebauer 2008-03-25 15:45:48 UTC
> which cvs branch should i commit this to?
I'm not sure what the target NetBeans version is. 5.5 or 5.5.1?
Anyway there is release55_fixes branch for NetBeans 5.5 and release551_fixes branch for NetBeans 5.5.1. I will send more
info off line.

> is there going to be any patch for 5.5?
Sustaining do not plan any patch neither for 5.5 nor for 5.5.1.
When the fix is commit, sustaining will care about its release immediately.
Comment 4 Stanislav Aubrecht 2008-03-27 17:24:39 UTC
fixed in release551_fixes branch

Checking in RSSFeed.java;
/cvs/ide/welcome/src/org/netbeans/modules/welcome/content/Attic/RSSFeed.java,v  <--  RSSFeed.java
new revision: 1.1.2.15.18.1; previous revision: 1.1.2.15
done
Checking in CombinationRSSFeed.java;
/cvs/ide/welcome/src/org/netbeans/modules/welcome/content/Attic/CombinationRSSFeed.java,v  <--  CombinationRSSFeed.java
new revision: 1.1.2.5.22.1; previous revision: 1.1.2.5
done
Comment 5 jcatchpoole 2008-03-31 15:14:11 UTC
Thanks.  I'm still not clear on how this fix gets out to the users, can someone comment ?  Thanks.
Comment 6 pgebauer 2008-03-31 22:30:36 UTC
The specification version has incremented already.

Checking in manifest.mf;
/cvs/ide/welcome/Attic/manifest.mf,v  <--  manifest.mf
new revision: 1.7.16.1.2.5.6.1; previous revision: 1.7.16.1.2.5.6.1.4.1
done

When bits from the fixes branch build are available, I will ask QE for a verification.
Once the NBM is verified, I will proceed to releasing on 5.5.1 hotfixes AUC.
Comment 7 Karthikeyan Rajeswaran 2008-04-07 17:11:36 UTC
See also: issue 132211
Comment 8 Karthikeyan Rajeswaran 2008-04-11 18:03:39 UTC
See also: issue 129528 (This issue, 131029, deals with porting the fix for 129528 for NetBeans 5.5.1).
Comment 9 pgebauer 2008-04-17 13:55:49 UTC
The fix has been back ported into release55_fixes branch.

Checking in RSSFeed.java;
/cvs/ide/welcome/src/org/netbeans/modules/welcome/content/Attic/RSSFeed.java,v  <--  RSSFeed.java
new revision: 1.1.2.15.8.1; previous revision: 1.1.2.15
done
Checking in CombinationRSSFeed.java;
/cvs/ide/welcome/src/org/netbeans/modules/welcome/content/Attic/CombinationRSSFeed.java,v  <--  CombinationRSSFeed.java
new revision: 1.1.2.5.12.1; previous revision: 1.1.2.5
done


The module specification version increment.

Checking in manifest.mf;
/cvs/ide/welcome/Attic/manifest.mf,v  <--  manifest.mf
new revision: 1.7.16.1.2.5.4.1; previous revision: 1.7.16.1.2.5
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo